#include <iostream>
using namespace std;

int main()
{

    ios_base::sync_with_stdio(false);
    cin.tie(0);
    int N,M,rez=0,l,r,x;
    cin >> N >> M;
    int vage[N][2],rezi[M];
    for(int i=0; i<N; i++)
    {
        cin >> vage[i][0]; // d
        cin >> vage[i][1]; // u
    }
    for(int i=0; i<M; i++)
    {
        cin >> l;
        cin >> r;
        cin >> x;
        for(int j=l; j<=r; j++)
            if((x-vage[j-1][1])*(x-vage[j-1][0]) <= 0)
                rez++;
        rezi[i]=rez;
        rez=0;
    }
    for(int i=0; i<M; i++)
        cout << rezi[i] << endl;

    return 0;
}